Package org.jfree.report.util

# Class AttributeNameGenerator

java.lang.Object
org.jfree.report.util.AttributeNameGenerator

public class AttributeNameGenerator extends Object
Creation-Date: 21.11.2006, 13:24:41

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`AttributeNameGenerator()`

## Method Summary

Modifier and Type
Method
Description
`String`
`generateName(String base)`
`void`
`reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AttributeNameGenerator

public AttributeNameGenerator()

## Method Details

### generateName

public String generateName(String base)

### reset

public void reset()